Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.futureagi.com/model-hub/eval-groups/get_evals_list/ \ --header 'X-Api-Key: <api-key>' \ --header 'X-Secret-Key: <api-key>'
import requestsurl = "https://api.futureagi.com/model-hub/eval-groups/get_evals_list/"headers = { "X-Api-Key": "<api-key>", "X-Secret-Key": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = { method: 'GET', headers: {'X-Api-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}};fetch('https://api.futureagi.com/model-hub/eval-groups/get_evals_list/', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "evals": [ { "id": "<eval_id>", "name": "<eval_name>", "eval_template_name": "<eval_template_name>", "eval_required_keys": [ "<eval_required_key1>", "<eval_required_key2>" ], "eval_template_tags": [ "<eval_template_tag1>", "<eval_template_tag2>" ], "description": "<eval_description>", "is_model_required": false, "type": "<eval_type>" } ], "eval_recommendations": [ "<eval_recommendation1>", "<eval_recommendation2>" ] }
{ "error": "<string>"}
Retrieves a list of evaluations for a given dataset, with options for filtering and ordering.
API Key for authentication. Click here to access API Key
Secret Key for authentication. Click here to access Secret Key
The UUID of the dataset for which to retrieve the evaluations.
Text to search for in the evaluation names.
A list of evaluations and recommendations.
Show child attributes
A list of recommended evaluation categories.
Was this page helpful?